Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 662378 - kde-apps/akonadi-search-18.04.3: test akonadi-{mysql,pqsql,sqlite}-schedulertest failed
Summary: kde-apps/akonadi-search-18.04.3: test akonadi-{mysql,pqsql,sqlite}-schedulert...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2018-07-29 01:08 UTC by Thomas Deutschmann
Modified: 2020-07-12 23:09 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,962.80 KB, text/plain)
2018-07-29 01:08 UTC, Thomas Deutschmann
Details
LastTest.log (LastTest.log,177.35 KB, text/plain)
2018-07-29 01:08 UTC, Thomas Deutschmann
Details
akonadi-search-19.12.3.tar.gz (akonadi-search-19.12.3.tar.gz,58.65 KB, application/octet-stream)
2020-03-14 20:21 UTC, Frank Krömmelbein
Details
akonadi-search-20.04.3.tar.gz (akonadi-search-20.04.3.tar.gz,61.32 KB, application/octet-stream)
2020-07-12 22:15 UTC, Frank Krömmelbein
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2018-07-29 01:08:19 UTC
Created attachment 541584 [details]
build.log

81% tests passed, 3 tests failed out of 16

Total Test time (real) =  35.85 sec

The following tests FAILED:
          4 - akonadi-mysql-schedulertest (Failed)
          5 - akonadi-pgsql-schedulertest (Failed)
          6 - akonadi-sqlite-schedulertest (Failed)
Comment 1 Thomas Deutschmann gentoo-dev Security 2018-07-29 01:08:51 UTC
Created attachment 541586 [details]
LastTest.log

Portage 2.3.40 (python 3.6.5-final-0, default/linux/x86/17.0, gcc-7.3.0, glibc-2.26-r7, 4.14.52-gentoo i686)
=================================================================
System uname: Linux-4.14.52-gentoo-i686-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.4.1
KiB Mem:     3107600 total,    997312 free
KiB Swap:     488276 total,    486988 free
Timestamp of repository gentoo: Sat, 28 Jul 2018 07:04:25 +0000
Head commit of repository gentoo: c2598d764aa0836607778c15bdb07d03c0497de5

sh bash 4.4_p12
ld GNU ld (Gentoo 2.30 p2) 2.30.0
app-shells/bash:          4.4_p12::gentoo
dev-lang/perl:            5.24.3-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.30-r2::gentoo
sys-devel/gcc:            7.3.0-r3::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.26-r7::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ARCH="x86"
BROOT=""
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class */dropin.cache"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
EPREFIX=""
EROOT="/"
ESYSROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/7.3.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.30/info:/usr/share/info"
INPUT_DEVICES="libinput keyboard mouse"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-chain prefix-guest"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MULTILIB_ABIS="x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OLDPWD="/root"
OPENCL_PROFILE="mesa"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/i686-pc-linux-gnu/gcc-bin/7.3.0:/usr/lib/llvm/6/bin:/usr/lib/llvm/5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
PHP_TARGETS="php5-6 php7-0"
POSTGRES_TARGETS="postgres9_5 postgres10"
PWD="/tmp"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_6"
PYTHON_TARGETS="python2_7 python3_6"
QT_GRAPHICSSYSTEM="raster"
ROOT="/"
ROOTPATH="/usr/i686-pc-linux-gnu/gcc-bin/7.3.0:/usr/lib/llvm/6/bin:/usr/lib/llvm/5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
RUBY_TARGETS="ruby22 ruby23"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
SYSROOT="/"
TERM="tmux-256color"
TMUX="/tmp/tmux-0/default,5404,0"
TMUX_PANE="%3"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="vmware"
Comment 2 Michael Palimaka (kensington) gentoo-dev 2018-08-10 13:48:29 UTC
Which USE flags are kde-apps/akonadi and dev-qt/qtsql built with?
Comment 3 Paolo Pedroni 2020-03-11 10:22:53 UTC
# equery u kde-apps/akonadi
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for kde-apps/akonadi-19.12.3:
 U I
 - - debug     : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see
                 https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
 + + designer  : Install plugin for dev-qt/designer
 + + kaccounts : Enable support for system-wide defined KAccounts
 + + mysql     : Add mySQL Database support
 - - postgres  : Add support for the postgresql database
 + + sqlite    : Add support for sqlite - embedded sql database
 - - test      : Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled
                 independently)
 + + tools     : Install tools for developers and testing
 + + xml       : Add support for XML files

# equery u dev-qt/qtsql
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for dev-qt/qtsql-5.13.2:
 U I
 - - debug    : Enable extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see
                https://wiki.gentoo.org/wiki/Project:Quality_Assurance/Backtraces
 - - freetds  : Add support for the TDS protocol to connect to MSSQL/Sybase databases
 + + mysql    : Add mySQL Database support
 - - odbc     : Add ODBC Support (Open DataBase Connectivity)
 - - postgres : Add support for the postgresql database
 + + sqlite   : Add support for sqlite - embedded sql database
 - - test     : Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled
                independently)
Comment 4 Frank Krömmelbein 2020-03-14 20:20:26 UTC
This problem has now reappeared with version 19.12.3:

Test project /var/tmp/portage/kde-apps/akonadi-search-19.12.3/work/akonadi-search-19.12.3_build
      Start  1: termgeneratortest
      Start  2: queryparsertest
      Start  3: indexertest
      Start  4: akonadi-mysql-schedulertest
 1/16 Test  #1: termgeneratortest .............................................   Passed    0.01 sec
      Start  5: akonadi-pgsql-schedulertest
 2/16 Test  #2: queryparsertest ...............................................   Passed    0.01 sec
      Start  6: akonadi-sqlite-schedulertest
 3/16 Test  #3: indexertest ...................................................   Passed    0.04 sec
      Start  7: akonadi-mysql-collectionindexingjobtest
 4/16 Test  #5: akonadi-pgsql-schedulertest ...................................***Failed    3.06 sec
      Start  8: akonadi-pgsql-collectionindexingjobtest
 5/16 Test  #6: akonadi-sqlite-schedulertest ..................................***Failed    3.94 sec
      Start  9: akonadi-sqlite-collectionindexingjobtest
 6/16 Test  #9: akonadi-sqlite-collectionindexingjobtest ......................***Failed    0.29 sec
      Start 10: collectionquerytest
 7/16 Test #10: collectionquerytest ...........................................   Passed    0.07 sec
      Start 11: emailquerytest
 8/16 Test #11: emailquerytest ................................................   Passed    0.02 sec
      Start 12: contactcompletiontest
 9/16 Test #12: contactcompletiontest .........................................   Passed    0.02 sec
      Start 13: searchplugintest
10/16 Test #13: searchplugintest ..............................................   Passed    0.06 sec
      Start 14: akonadisearchdebug-akonadisearchdebugdialogtest
11/16 Test #14: akonadisearchdebug-akonadisearchdebugdialogtest ...............   Passed    0.11 sec
      Start 15: akonadisearchdebug-akonadisearchdebugwidgettest
12/16 Test #15: akonadisearchdebug-akonadisearchdebugwidgettest ...............   Passed    0.10 sec
      Start 16: akonadisearchdebug-akonadisearchdebugsearchpathcomboboxtest
13/16 Test #16: akonadisearchdebug-akonadisearchdebugsearchpathcomboboxtest ...   Passed    0.04 sec
14/16 Test  #7: akonadi-mysql-collectionindexingjobtest .......................***Failed    4.70 sec
15/16 Test  #8: akonadi-pgsql-collectionindexingjobtest .......................***Failed    3.74 sec
16/16 Test  #4: akonadi-mysql-schedulertest ...................................***Failed    7.47 sec

63% tests passed, 6 tests failed out of 16
Comment 5 Frank Krömmelbein 2020-03-14 20:21:06 UTC
Created attachment 619176 [details]
akonadi-search-19.12.3.tar.gz
Comment 6 Larry the Git Cow gentoo-dev 2020-03-17 23:21:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74bd650b938d04f8f86a84ce9441cd812d7d3a49

commit 74bd650b938d04f8f86a84ce9441cd812d7d3a49
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-03-17 23:20:17 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-03-17 23:20:17 +0000

    kde-apps/akonadi-search: Restrict hopeless tests
    
    Bug: https://bugs.gentoo.org/662378
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-apps/akonadi-search/akonadi-search-19.12.3.ebuild | 2 ++
 1 file changed, 2 insertions(+)
Comment 7 Frank Krömmelbein 2020-07-12 22:14:42 UTC
Occurs again with 20.04.3. Test restriction was removed in ebuild:

diff -ruN akonadi-search-19.12.3.ebuild akonadi-search-20.04.3.ebuild 
--- akonadi-search-19.12.3.ebuild       2020-05-16 22:59:32.000000000 +0200
+++ akonadi-search-20.04.3.ebuild       2020-07-09 18:35:02.000000000 +0200
@@ -5,8 +5,8 @@
 
 ECM_TEST="forceoptional"
 PVCUT=$(ver_cut 1-3)
-KFMIN=5.63.0
-QTMIN=5.12.3
+KFMIN=5.70.0
+QTMIN=5.14.2
 VIRTUALX_REQUIRED="test"
 inherit ecm kde.org
 
@@ -15,11 +15,9 @@
 
 LICENSE="GPL-2+ LGPL-2.1+"
 SLOT="5"
-KEYWORDS="amd64 arm64 x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
 IUSE=""
 
-RESTRICT+=" test" # perpetually broken, bug 662378
-
 BDEPEND="
        test? ( >=kde-apps/akonadi-${PVCUT}:5[tools] )
 "
Comment 8 Frank Krömmelbein 2020-07-12 22:15:25 UTC
Created attachment 649046 [details]
akonadi-search-20.04.3.tar.gz
Comment 9 Larry the Git Cow gentoo-dev 2020-07-12 23:07:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac42e503cc1757578d3bc6140041bb9dff01655e

commit ac42e503cc1757578d3bc6140041bb9dff01655e
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-03-17 23:20:17 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-07-12 23:07:44 +0000

    kde-apps/akonadi-search: Restrict hopeless tests
    
    Closes: https://bugs.gentoo.org/662378
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-apps/akonadi-search/akonadi-search-20.04.3.ebuild | 2 ++
 1 file changed, 2 insertions(+)
Comment 10 Larry the Git Cow gentoo-dev 2020-07-12 23:09:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/kde.git/commit/?id=98dcbe039aa68b44158a6f345a6ad00d7fd7413b

commit 98dcbe039aa68b44158a6f345a6ad00d7fd7413b
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-03-17 23:20:17 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-07-12 23:05:14 +0000

    kde-apps/akonadi-search: Restrict hopeless tests
    
    Bug: https://bugs.gentoo.org/662378
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 kde-apps/akonadi-search/akonadi-search-20.08.49.9999.ebuild | 2 ++
 kde-apps/akonadi-search/akonadi-search-9999.ebuild          | 2 ++
 2 files changed, 4 insertions(+)